HttpRequestWrapper (Catalina Internal API Documentation)
Keywords: org.apache.catalina.connector.HttpRequestWrapper class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.connector
Class HttpRequestWrapper

    java.lang.Object
      org.apache.catalina.connector.RequestWrapper
          org.apache.catalina.connector.HttpRequestWrapper

All Implemented Interfaces:
  HttpRequest, Request

public abstract class HttpRequestWrapper
extends RequestWrapper
implements HttpRequest

Abstract convenience class that wraps a Catalina-internal HttpRequest object. By default, all methods are delegated to the wrapped request, but subclasses can override individual methods as required to provide the functionality that they require.

Version:
  $Revision: 289023 $ $Date: 2004-08-26 18:06:34 -0400 (Thu, 26 Aug 2004) $
Author:
  Craig R. McClanahan

Field Summary

Fields inherited from class org.apache.catalina.connector.RequestWrapper
`request`

Constructor Summary
`HttpRequestWrapper(HttpRequest request)` Deprecated. Construct a wrapper for the specified request.

Method Summary
`void` | `addCookie(javax.servlet.http.Cookie cookie)` Deprecated. Add a Cookie to the set of Cookies associated with this Request.
`void` | `addHeader(java.lang.String name, java.lang.String value)` Deprecated. Add a Header to the set of Headers associated with this Request.
`void` | `addLocale(java.util.Locale locale)` Deprecated. Add a Locale to the set of preferred Locales for this Request.
`void` | `clearCookies()` Deprecated. Clear the collection of Cookies associated with this Request.
`void` | `clearHeaders()` Deprecated. Clear the collection of Headers associated with this Request.
`void` | `clearLocales()` Deprecated. Clear the collection of Locales associated with this Request.
`void` | `setAuthType(java.lang.String type)` Deprecated. Set the authentication type used for this request, if any; otherwise set the type to `null`.
`void` | `setContextPath(java.lang.String path)` Deprecated. Set the context path for this Request.
`void` | `setMethod(java.lang.String method)` Deprecated. Set the HTTP request method used for this Request.
`void` | `setPathInfo(java.lang.String path)` Deprecated. Set the path information for this Request.
`void` | `setQueryString(java.lang.String query)` Deprecated. Set the query string for this Request.
`void` | `setRequestedSessionCookie(boolean flag)` Deprecated. Set a flag indicating whether or not the requested session ID for this request came in through a cookie.
`void` | `setRequestedSessionId(java.lang.String id)` Deprecated. Set the requested session ID for this request.
`void` | `setRequestedSessionURL(boolean flag)` Deprecated. Set a flag indicating whether or not the requested session ID for this request came in through a URL.
`void` | `setRequestURI(java.lang.String uri)` Deprecated. Set the unparsed request URI for this Request.
`void` | `setServletPath(java.lang.String path)` Deprecated. Set the servlet path for this Request.
`void` | `setUserPrincipal(java.security.Principal principal)` Deprecated. Set the Principal who has been authenticated for this Request.

Methods inherited from class org.apache.catalina.connector.RequestWrapper
`createInputStream, finishRequest, getAuthorization, getConnector, getContext, getInfo, getRequest, getResponse, getSocket, getStream, getWrappedRequest, getWrapper, recycle, setAuthorization, setConnector, setContentLength, setContentType, setContext, setProtocol, setRemoteAddr, setResponse, setScheme, setSecure, setServerName, setServerPort, setSocket, setStream, setWrapper`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.catalina.HttpRequest
`addParameter, clearParameters, getDecodedRequestURI, setDecodedRequestURI`

Methods inherited from interface org.apache.catalina.Request
`createInputStream, finishRequest, getAuthorization, getConnector, getContext, getInfo, getNote, getNoteNames, getRequest, getResponse, getSocket, getStream, getWrapper, recycle, removeNote, setAuthorization, setConnector, setContentLength, setContentType, setContext, setNote, setProtocol, setRemoteAddr, setResponse, setScheme, setSecure, setServerName, setServerPort, setSocket, setStream, setWrapper`

Constructor Detail

### HttpRequestWrapper

    public HttpRequestWrapper(HttpRequest request)

  Deprecated.
  Construct a wrapper for the specified request.

Parameters:
  `request` - The request to be wrapped

Method Detail

### addCookie

    public void addCookie(javax.servlet.http.Cookie cookie)

  Deprecated.
  Add a Cookie to the set of Cookies associated with this Request.

  Specified by:
    `addCookie` in interface `HttpRequest`
  Parameters:
    `cookie` - The new cookie

### addHeader

    public void addHeader(java.lang.String name,
                          java.lang.String value)

  Deprecated.
  Add a Header to the set of Headers associated with this Request.

  Specified by:
    `addHeader` in interface `HttpRequest`
  Parameters:
    `name` - The new header name
    `value` - The new header value

### addLocale

    public void addLocale(java.util.Locale locale)

  Deprecated.
  Add a Locale to the set of preferred Locales for this Request. The first added Locale will be the first one returned by getLocales().

  Specified by:
    `addLocale` in interface `HttpRequest`
  Parameters:
    `locale` - The new preferred Locale

### clearCookies

    public void clearCookies()

  Deprecated.
  Clear the collection of Cookies associated with this Request.

  Specified by:
    `clearCookies` in interface `HttpRequest`

### clearHeaders

    public void clearHeaders()

  Deprecated.
  Clear the collection of Headers associated with this Request.

  Specified by:
    `clearHeaders` in interface `HttpRequest`

### clearLocales

    public void clearLocales()

  Deprecated.
  Clear the collection of Locales associated with this Request.

  Specified by:
    `clearLocales` in interface `HttpRequest`

### setAuthType

    public void setAuthType(java.lang.String type)

  Deprecated.
  Set the authentication type used for this request, if any; otherwise set the type to `null`. Typical values are "BASIC", "DIGEST", or "SSL".

  Specified by:
    `setAuthType` in interface `HttpRequest`
  Parameters:
    `type` - The authentication type used

### setContextPath

    public void setContextPath(java.lang.String path)

  Deprecated.
  Set the context path for this Request. This will normally be called when the associated Context is mapping the Request to a particular Wrapper.

  Specified by:
    `setContextPath` in interface `HttpRequest`
  Parameters:
    `path` - The context path

### setMethod

    public void setMethod(java.lang.String method)

  Deprecated.
  Set the HTTP request method used for this Request.

  Specified by:
    `setMethod` in interface `HttpRequest`
  Parameters:
    `method` - The request method

### setQueryString

    public void setQueryString(java.lang.String query)

  Deprecated.
  Set the query string for this Request. This will normally be called by the HTTP Connector, when it parses the request headers.

  Specified by:
    `setQueryString` in interface `HttpRequest`
  Parameters:
    `query` - The query string

### setPathInfo

    public void setPathInfo(java.lang.String path)

  Deprecated.
  Set the path information for this Request. This will normally be called when the associated Context is mapping the Request to a particular Wrapper.

  Specified by:
    `setPathInfo` in interface `HttpRequest`
  Parameters:
    `path` - The path information

### setRequestedSessionCookie

    public void setRequestedSessionCookie(boolean flag)

  Deprecated.
  Set a flag indicating whether or not the requested session ID for this request came in through a cookie. This is normally called by the HTTP Connector, when it parses the request headers.

  Specified by:
    `setRequestedSessionCookie` in interface `HttpRequest`
  Parameters:
    `flag` - The new flag

### setRequestedSessionId

    public void setRequestedSessionId(java.lang.String id)

  Deprecated.
  Set the requested session ID for this request. This is normally called by the HTTP Connector, when it parses the request headers.

  Specified by:
    `setRequestedSessionId` in interface `HttpRequest`
  Parameters:
    `id` - The new session id

### setRequestedSessionURL

    public void setRequestedSessionURL(boolean flag)

  Deprecated.
  Set a flag indicating whether or not the requested session ID for this request came in through a URL. This is normally called by the HTTP Connector, when it parses the request headers.

  Specified by:
    `setRequestedSessionURL` in interface `HttpRequest`
  Parameters:
    `flag` - The new flag

### setRequestURI

    public void setRequestURI(java.lang.String uri)

  Deprecated.
  Set the unparsed request URI for this Request. This will normally be called by the HTTP Connector, when it parses the request headers.

  Specified by:
    `setRequestURI` in interface `HttpRequest`
  Parameters:
    `uri` - The request URI

### setServletPath

    public void setServletPath(java.lang.String path)

  Deprecated.
  Set the servlet path for this Request. This will normally be called when the associated Context is mapping the Request to a particular Wrapper.

  Specified by:
    `setServletPath` in interface `HttpRequest`
  Parameters:
    `path` - The servlet path

### setUserPrincipal

    public void setUserPrincipal(java.security.Principal principal)

  Deprecated.
  Set the Principal who has been authenticated for this Request. This value is also used to calculate the value to be returned by the `getRemoteUser()` method.

  Specified by:
    `setUserPrincipal` in interface `HttpRequest`
  Parameters:
    `principal` - The user Principal

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.